Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryCheckResult

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryCheckResult

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryCheckResult

extends java.lang.Object
implements EPPCodecComponent

DOCUMENT ME!

Version:
  $Revision: 1.2 $
Author:
  $author$
See Also:
  Serialized Form

Constructor Summary
`EPPRegistryCheckResult()` Creates a new EPPRegistryCheckResult object.
`EPPRegistryCheckResult(java.lang.String name, java.lang.Boolean available)` Creates a new EPPRegistryCheckResult object.

Method Summary
`java.lang.Object` | `clone()` DOCUMENT ME!
`void` | `decode(org.w3c.dom.Element aElement)` DOCUMENT ME!
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` DOCUMENT ME!
`boolean` | `equals(java.lang.Object aObject)` DOCUMENT ME!
`java.lang.String` | `getLanguage()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`java.lang.String` | `getReason()` DOCUMENT ME!
`java.lang.Boolean` | `isAvailable()` DOCUMENT ME!
`void` | `setAvailable(java.lang.Boolean available)` DOCUMENT ME!
`void` | `setLanguage(java.lang.String language)` DOCUMENT ME!
`void` | `setName(java.lang.String name)` DOCUMENT ME!
`void` | `setReason(java.lang.String reason)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryCheckResult

    public EPPRegistryCheckResult()

  Creates a new EPPRegistryCheckResult object.

### EPPRegistryCheckResult

    public EPPRegistryCheckResult(java.lang.String name,
                                  java.lang.Boolean available)

  Creates a new EPPRegistryCheckResult object.

  Parameters:
    `name` - DOCUMENT ME!
    `available` - DOCUMENT ME!

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  DOCUMENT ME!

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEncodeException` - DOCUMENT ME!

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  DOCUMENT ME!

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - DOCUMENT ME!
  Throws:
    `EPPDecodeException` - DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  DOCUMENT ME!

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.CloneNotSupportedException` - DOCUMENT ME!

### equals

    public boolean equals(java.lang.Object aObject)

  DOCUMENT ME!

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!

### getLanguage

    public java.lang.String getLanguage()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setLanguage

    public void setLanguage(java.lang.String language)

  DOCUMENT ME!

  Parameters:
    `language` - DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setName

    public void setName(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### isAvailable

    public java.lang.Boolean isAvailable()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setAvailable

    public void setAvailable(java.lang.Boolean available)

  DOCUMENT ME!

  Parameters:
    `available` - DOCUMENT ME!

### getReason

    public java.lang.String getReason()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setReason

    public void setReason(java.lang.String reason)

  DOCUMENT ME!

  Parameters:
    `reason` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.